#ifndef SUBJECT_H
#define SUBJECT_H

#ifndef ARRAY_H
#include "Array.h"
#endif

namespace MM
{
class View;

class Subject 
{
public:    
    virtual ~Subject();

    void notify() const;
    void attach( View & ) const;
    void detach( View & ) const;

private:    
    mutable Array< View * > view_;
};

}//MM

#endif //SUBJECT_H
